Google Maps API instalieren (Cyanogenmod)

Einige Android-Apps benötigen für den Betrieb die Google Maps API. Dazu zählen

  • Drive-Now
  • DB Navigator

Die Google Maps API steht jedoch scheinbar standardmäßig in Cyanogenmod (z. B. 10.2) nicht zur Verfügung. Dies führt dazu, das bei der Installation der Apps die Fehlermeldung erscheint:

  • Application not installed / App not installed
  • Anwendung nicht installiert / App nicht installiert

Scheinbar hilft jedoch die manuelle bereitstellung der API.

Voraussetzungen

  • Cyanogenmod 10.2
  • Google Apps (gapps)

Installation

  • Google Apps runterladen und ZIP entpacken
  • Folgende Dateien an die folgenden Orte in Cyanogenmod entpacken/kopieren
com.google.android.maps.jar → /system/framework/
com.google.android.maps.xml → /system/etc/permissions/

Cyanogenmod neu starten. Falls CM beim Neustart hängen bleibt, dann nach ein, zwei Minuten nochmal neu starten.

Danach sollte die Installation der o. g. Apps klappen.